Notification Emails

Update Company Notification Email Address

Change which documents an address is notified about and what its notifications carry.

PUT
/api/v1/companies/{companyId}/notification-email-addresses/{notificationEmailAddressId}

Change which documents an address is notified about and what its notifications carry. Set both notifyIncoming and notifyOutgoing to false to silence it without removing it.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to update a notification email address for

notificationEmailAddressId*string

The ID of the notification email address to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/companies/string/notification-email-addresses/string" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "notifyIncoming": true,    "notifyOutgoing": true  }'
{  "success": true,  "notificationEmailAddress": {    "id": "cnea_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "companyId": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "email": "billing@example.com",    "notifyIncoming": true,    "notifyOutgoing": false,    "includeAutoGeneratedPdfIncoming": true,    "includeAutoGeneratedPdfOutgoing": false,    "includeDocumentJsonIncoming": false,    "includeDocumentJsonOutgoing": false,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}